Studio
Edit an authored Studio message
Edit message text as its verified original actor and journal the change without changing the working source revision.
PATCH
/
api
/
v1
/
studio
/
sessions
/
{sessionId}
/
chat
/
messages
/
{messageId}
Edit an authored Studio message
curl --request PATCH \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', text: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId}"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Response
200
⌘I
Edit an authored Studio message
curl --request PATCH \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', text: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/messages/{messageId}"
payload = {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
